use strict;
use Module::Build;
my $build = Module::Build->new
  (
   module_name => 'Javascript::PurePerl',
   license => 'perl',
   requires => {
              # 'perl'           => '5.6.1',
              'Class::Accessor' => '',
              'Data::Dumper'    => '',
              'Module::Build'   => 0.2,
              'Parse::Yapp'     => 0,
              'Text::Balanced'  => 1.95,
              'Regexp::Common'  => 2.113,
              'XML::LibXML'     => '',
               },
    create_makefile_pl => 'passthrough'
  );

$build->up_to_date('lib/Javascript/Grammar.yp', 'lib/Javascript/Grammar.pm')
  or $build->do_system('/opt/perl/bin/yapp','-o','lib/Javascript/Grammar.pm','-m','Javascript::Grammar','lib/Javascript/Grammar.yp');
$build->add_to_cleanup('lib/Javascript/Grammar.pm');

$build->create_build_script;

